org.bdgenomics.adam.converters

# AlignmentRecordConverter

#### class AlignmentRecordConverter extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AlignmentRecordConverter
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new AlignmentRecordConverter()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def convert(adamRecord: AlignmentRecord, header: SAMFileHeaderWritable, rgd: RecordGroupDictionary): SAMRecord

   Converts a single ADAM record into a SAM record.

   Converts a single ADAM record into a SAM record.

   adamRecord

     ADAM formatted alignment record to convert.

   header

     SAM file header to use.

   returns

     Returns the record converted to SAMtools format. Can be used for output to SAM/BAM.

9. #### def convertFragment(fragment: Fragment): Iterable[AlignmentRecord]

   Converts a fragment to a set of reads.

   Converts a fragment to a set of reads.

   fragment

     Fragment to convert.

   returns

     The collection of alignments described by the fragment. If the fragment doesn't contain any alignments, this method will return one unaligned AlignmentRecord per sequence in the Fragment.

10. #### def convertToFastq(adamRecord: AlignmentRecord, maybeAddSuffix: Boolean = false, outputOriginalBaseQualities: Boolean = false): String

    Converts a single record to FASTQ.

    Converts a single record to FASTQ. FASTQ format is:

        @readName
        sequence
        +<optional readname>
        ASCII quality scores

    adamRecord

      Read to convert to FASTQ.

    returns

      Returns this read in string form.

11. #### def createSAMHeader(sd: SequenceDictionary, rgd: RecordGroupDictionary): SAMFileHeader

    Creates a SAM formatted header.

    Creates a SAM formatted header. This can be used with SAM or BAM files.

    sd

      Reference sequence dictionary to use for conversion.

    rgd

      Dictionary containing record groups.

    returns

      Converted SAM formatted record.

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped